lambdabot-core-5.3.1.2: Lambdabot core functionality

Safe Haskell | None
Language | Haskell98

Lambdabot.Nick

Synopsis

- data Nick = Nick {
  - nTag :: !String
  - nName :: !String
  }
- fmtNick :: String -> Nick -> String
- parseNick :: String -> String -> Nick

# Documentation

data Nick Source #

The type of nicknames isolated from a message.

Constructors

Nick |

Fields

- nTag :: !String

  The tag of the server this nick is on

- nName :: !String

  The server-specific nickname of this nick

#### Instances

Instances details

Eq Nick Source # |
Instance details Defined in Lambdabot.Nick Methods (==) :: Nick -> Nick -> Bool Source # (/=) :: Nick -> Nick -> Bool Source #
Ord Nick Source # |
Instance details Defined in Lambdabot.Nick Methods compare :: Nick -> Nick -> Ordering Source # (<) :: Nick -> Nick -> Bool Source # (<=) :: Nick -> Nick -> Bool Source # (>) :: Nick -> Nick -> Bool Source # (>=) :: Nick -> Nick -> Bool Source # max :: Nick -> Nick -> Nick Source # min :: Nick -> Nick -> Nick Source #

fmtNick :: String -> Nick -> String Source #

Format a nickname for display. This will automatically omit the server field if it is the same as the server of the provided message.

parseNick :: String -> String -> Nick Source #

Parse a nickname received in a message. If the server field is not provided, it defaults to the same as that of the message.